# Maintainer: Scott Clarke <sdclarke123@gmail.com>
_pkgbasename=vmdb2
pkgname=$_pkgbasename-git
pkgrel=1
pkgver=vmdb2.0.26.r0.g56bf48b
pkgdesc="Install Debian onto a disk image"
arch=('any')
url="http://gitlab.com/larswirzenius/vmdb2"
license=('GPL-3')
depends=('multipath-tools' 'parted' 'qemu' 'python-jinja' 'python-yaml' 'debootstrap' 'zerofree')
makedepends=('git')
source=(git+https://gitlab.com/larswirzenius/vmdb2)
md5sums=('SKIP')

pkgver() {
    cd "$srcdir/$_pkgbasename"
    git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

build() {
    cd "$srcdir/$_pkgbasename"
    python3 setup.py build
}

package() {
    cd "$srcdir/$_pkgbasename"
    python3 setup.py install --prefix $pkgdir/usr/
}
